- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes
GSsl Namespace Reference

TLS/SSL transport layer security classes. More...

## Classes
class | Certificate
| An openssl X509 RAII class. More...
class | Context
| An openssl context wrapper. More...
class | Error
| A private exception class used by ssl classes. More...
class | Library
| A RAII class for initialising the underlying ssl library. More...
class | LibraryImp
| A private pimple class used by GSsl::Library. More...
class | Protocol
| An SSL protocol class. More...
class | ProtocolImp
| A private pimple class used by GSsl::Protocol. More...

## Detailed Description

TLS/SSL transport layer security classes.

The GSsl namespace contains classes that implement the TLS/SSL security layer.

Key classes are:

- Protocol
- Library